com.holonplatform.vaadin7.components.builders

## Interface DateInputBuilder

- All Superinterfaces:
    CalendarInputBuilder<Date,DateInputBuilder>, ComponentConfigurator<DateInputBuilder>, InputBuilder<Date,Input<Date>,DateInputBuilder>, InputConfigurator<Date,DateInputBuilder>

      public interface DateInputBuilder
      extends CalendarInputBuilder<Date,DateInputBuilder>

  A `CalendarInputBuilder` for `Date` type `Input`s.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.CalendarInputBuilder

      `dateFormat, dateOutOfRangeMessage, dateOutOfRangeMessage, dateOutOfRangeMessage, lenient, parseErrorMessage, parseErrorMessage, parseErrorMessage, rangeEnd, rangeStart, showISOWeekNumbers, timeZone`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

Copyright © 2019 The Holon Platform. All rights reserved.